cmake_minimum_required(VERSION 2.8)

list (APPEND CMAKE_MODULE_PATH
      ${CMAKE_SOURCE_DIR}/cmake
      ${CMAKE_SOURCE_DIR}/cmake/vala)
include(MacroOptionalAddSubdirectory)

# Vala requirements
find_package (Vala REQUIRED)
include (FindVala)
include (UseVala)

add_subdirectory (src)
add_subdirectory (test)
